(function () {

if (!app.selection || !app.selection.length)
	return;

return({
	version: 1,
	setup: {
		title: "Change Map Visibility",
		id: "com.sassafras.show-on-map",
		fields: [
			{
				id: "show",
				label: "Show on Availability Lists",
				type: "bool",
				default: localStorage.getItem("show")
			}
		]
	},
	proceed: function (params) {
		localStorage.setItem("show", params.show);
		app.selection.forEach(function (obj) {
			obj.availability = params.show ? "true" : "false";
			obj.commit();
		});
	}
});

})();
